# DBService
> 数据库相关服务

---

## deleteDBTable
> 删除表

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/DBService/deleteDBTable`
- RPC：`rpc deleteDBTable (DeleteDBTableRequest) returns (RPCSuccess);`

**请求对象 (`DeleteDBTableRequest`)**

```json
{
  "dbTable": "string"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/DBService/deleteDBTable" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findAllDBTables
> 获取所有表信息

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/DBService/findAllDBTables`
- RPC：`rpc findAllDBTables (FindAllDBTablesRequest) returns (FindAllDBTablesResponse);`

**请求对象 (`FindAllDBTablesRequest`)**

```json
{}
```

**响应对象 (`FindAllDBTablesResponse`)**

```json
{
  "dbTables": "[]DBTable"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/DBService/findAllDBTables" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## truncateDBTable
> 清空表

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/DBService/truncateDBTable`
- RPC：`rpc truncateDBTable (TruncateDBTableRequest) returns (RPCSuccess);`

**请求对象 (`TruncateDBTableRequest`)**

```json
{
  "dbTable": "string"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/DBService/truncateDBTable" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
